Bug 475860 - (libmsn) Review Request: libmsn - Library for connecting to the MSN Messenger service
Review Request: libmsn - Library for connecting to the MSN Messenger service
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 15:25 EST by john5342
Modified: 2009-01-29 18:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 18:04:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description john5342 2008-12-10 15:25:10 EST
Spec URL: http://john5342.fedorapeople.org/rpms/libmsn.spec
SRPM URL: http://john5342.fedorapeople.org/rpms/libmsn-4.0-beta1.1.fc10.src.rpm

Description:
Libmsn is a reusable, open-source, fully documented library for connecting to
Microsoft's MSN Messenger service.

Rpmlint shows no warnings or errors on spec file or source. The following are given on libmsn-4.0-0.1.beta1.fc10.x86_64.rpm:

//Not sure what to do about this:
libmsn.x86_64: W: incoherent-version-in-changelog 4.0-0.1-beta1 ['4.0-0.1.beta1.fc10', '4.0-0.1.beta1']

libmsn.x86_64: W: shared-lib-calls-exit /usr/lib64/libmsn.so.0.1.0 exit@GLIBC_2.2.5


This is my first package and i seeking a sponsor.
Comment 1 Jaroslav Reznik 2008-12-10 15:34:02 EST
Incoherent version - in changelog you have 4.0-0.1-beta1 and version is 4.0-0.1.beta1
Comment 2 Rex Dieter 2008-12-10 15:42:41 EST
Mentioning "Microsoft" by name, makes me nervous, we probably want to (tm) those in the least, perhaps remove/omit them at most.

working SRPM URL: (:
http://john5342.fedorapeople.org/rpms/libmsn-4.0-0.1.beta1.fc10.src.rpm

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=991946
Comment 3 john5342 2008-12-10 16:45:46 EST
>Incoherent version - in changelog you have 4.0-0.1-beta1 and version is >4.0-0.1.beta1

Fixed. Saw the fc10 and had no idea how to make that scale but completely missed the full-stop/hyphen mixup in there.

>Mentioning "Microsoft" by name, makes me nervous, we probably want to (tm)
>those in the least, perhaps remove/omit them at most.

Fixed. Replaced with "the MSN protocol" as opposed to "Microsoft's MSN protocol".

The _correct_ SRPM url this time (sorry about that):
http://john5342.fedorapeople.org/rpms/libmsn-4.0-0.2.beta1.fc10.src.rpm

The spec file is the same url:
http://john5342.fedorapeople.org/rpms/libmsn.spec
Comment 4 john5342 2008-12-11 10:12:16 EST
Updated bug title to reflect new package summary
Comment 5 Rex Dieter 2008-12-11 13:14:05 EST
I'll pretend I didn't just think about MSN(tm) either, and just start reviewing. :)
Comment 6 Rex Dieter 2008-12-11 14:12:56 EST
Clean, simple package.

Use of macros correct, consistent.

Confirmed need for patch (eew).

My only minor suggestions would be to not include README, COPYING in -devel (it's already in main pkg), and to add
%doc THANKS
(can be done post review).

APPROVED.
Comment 7 john5342 2008-12-11 16:00:22 EST
New Package CVS Request
=======================
Package Name: libmsn
Short Description: Library for connecting to the MSN(tm) Messenger service
Owners: john5342
Branches: F-9 F-10
InitialCC:
Comment 8 Dennis Gilmore 2008-12-12 15:32:24 EST
CVS Done
Comment 9 Fedora Update System 2008-12-16 11:04:33 EST
libmsn-4.0-0.3.beta1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libmsn-4.0-0.3.beta1.fc9
Comment 10 Fedora Update System 2008-12-16 11:05:06 EST
libmsn-4.0-0.3.beta1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libmsn-4.0-0.3.beta1.fc10
Comment 11 Fedora Update System 2008-12-21 03:18:10 EST
libmsn-4.0-0.3.beta1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libmsn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11570
Comment 12 Fedora Update System 2008-12-21 03:46:42 EST
libmsn-4.0-0.3.beta1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update libmsn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11505
Comment 13 Fedora Update System 2009-01-26 20:48:43 EST
libmsn-4.0-0.10.beta4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libmsn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0974
Comment 14 Fedora Update System 2009-01-26 20:53:03 EST
libmsn-4.0-0.10.beta4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update libmsn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1012
Comment 15 Fedora Update System 2009-01-29 18:04:55 EST
libmsn-4.0-0.10.beta4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-01-29 18:08:16 EST
libmsn-4.0-0.10.beta4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.